
\subsection{Neu}
\begin{exampleblock}{Aufgabe}
	Was ist die Ausgabe des folgenden Programms?
\end{exampleblock}
\begin{lstlisting}
void func(double &a, double &b) {
	if (b <= a){
		a *= .5;
	}
	int t = a;
	a = b;
	b = t;
}

int main() {
	double a = 15, b = 1.5;
	
	func(a, b);
	func(a, b);
	func(a, b);
	
	std::cout << a << " " << b;
}
\end{lstlisting}

%----------------------------------------------------------------------------------------

